/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class UserResponse {
    public sub: string;

    public username: string;

    public id: string;

    /**
     * Creates a UserResponse.
     *
     * @param {string} sub
     * @param {string} username
     * @param {string} id
     */
    constructor(sub: string, username: string, id: string) {
        this.sub = sub;
        this.username = username;
        this.id = id;
    }
}